diff --git a/guava-tests/test/com/google/common/graph/ValueGraphTest.java b/guava-tests/test/com/google/common/graph/ValueGraphTest.java
index 31d41aa..a9e6e4d 100644
--- a/guava-tests/test/com/google/common/graph/ValueGraphTest.java
+++ b/guava-tests/test/com/google/common/graph/ValueGraphTest.java
@@ -23,7 +23,6 @@ import static com.google.common.truth.Truth8.assertThat;
 import static java.util.concurrent.Executors.newFixedThreadPool;
 import static org.junit.Assert.fail;
 
-import com.google.common.collect.ImmutableList;
 import java.util.Optional;
 import java.util.Set;
 import java.util.concurrent.Callable;
diff --git a/guava-tests/test/com/google/common/hash/AbstractByteHasherTest.java b/guava-tests/test/com/google/common/hash/AbstractByteHasherTest.java
index e5c359a..7ceb25e 100644
--- a/guava-tests/test/com/google/common/hash/AbstractByteHasherTest.java
+++ b/guava-tests/test/com/google/common/hash/AbstractByteHasherTest.java
@@ -17,7 +17,6 @@ package com.google.common.hash;
 import static com.google.common.base.Charsets.UTF_16LE;
 import static org.junit.Assert.assertArrayEquals;
 
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.io.ByteArrayOutputStream;
 import java.util.Random;
 import junit.framework.TestCase;
@@ -110,7 +109,6 @@ public class AbstractByteHasherTest extends TestCase {
     }
   }
 
-  @CanIgnoreReturnValue
   private class TestHasher extends AbstractByteHasher {
 
     private final ByteArrayOutputStream out = new ByteArrayOutputStream();
diff --git a/guava-tests/test/com/google/common/hash/AbstractNonStreamingHashFunctionTest.java b/guava-tests/test/com/google/common/hash/AbstractNonStreamingHashFunctionTest.java
index 7541471..39494a9 100644
--- a/guava-tests/test/com/google/common/hash/AbstractNonStreamingHashFunctionTest.java
+++ b/guava-tests/test/com/google/common/hash/AbstractNonStreamingHashFunctionTest.java
@@ -16,7 +16,6 @@
 
 package com.google.common.hash;
 
-import com.google.common.collect.ImmutableList;
 import com.google.common.hash.HashTestUtils.RandomHasherAction;
 import java.io.ByteArrayOutputStream;
 import java.nio.ByteBuffer;
diff --git a/guava-tests/test/com/google/common/hash/AndroidIncompatible.java b/guava-tests/test/com/google/common/hash/AndroidIncompatible.java
index f807acb..1dd77c4 100644
--- a/guava-tests/test/com/google/common/hash/AndroidIncompatible.java
+++ b/guava-tests/test/com/google/common/hash/AndroidIncompatible.java
@@ -23,7 +23,6 @@ import static java.lang.annotation.ElementType.METHOD;
 import static java.lang.annotation.ElementType.TYPE;
 import static java.lang.annotation.RetentionPolicy.CLASS;
 
-import com.google.common.annotations.GwtCompatible;
 import java.lang.annotation.Retention;
 import java.lang.annotation.Target;
 
@@ -37,5 +36,4 @@ import java.lang.annotation.Target;
  */
 @Retention(CLASS)
 @Target({ANNOTATION_TYPE, CONSTRUCTOR, FIELD, METHOD, TYPE})
-@GwtCompatible
 @interface AndroidIncompatible {}
diff --git a/guava-tests/test/com/google/common/hash/BloomFilterTest.java b/guava-tests/test/com/google/common/hash/BloomFilterTest.java
index 411e097..713c01c 100644
--- a/guava-tests/test/com/google/common/hash/BloomFilterTest.java
+++ b/guava-tests/test/com/google/common/hash/BloomFilterTest.java
@@ -20,7 +20,6 @@ import static com.google.common.base.Charsets.UTF_8;
 import static com.google.common.truth.Truth.assertThat;
 
 import com.google.common.base.Stopwatch;
-import com.google.common.collect.ImmutableSet;
 import com.google.common.hash.BloomFilterStrategies.LockFreeBitArray;
 import com.google.common.math.LongMath;
 import com.google.common.primitives.Ints;
@@ -38,7 +37,6 @@ import java.util.Random;
 import java.util.concurrent.TimeUnit;
 import java.util.stream.Stream;
 import junit.framework.TestCase;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * Tests for SimpleGenericBloomFilter and derived BloomFilter views.
diff --git a/guava-tests/test/com/google/common/hash/HashCodeTest.java b/guava-tests/test/com/google/common/hash/HashCodeTest.java
index 4cccefe..4f06337 100644
--- a/guava-tests/test/com/google/common/hash/HashCodeTest.java
+++ b/guava-tests/test/com/google/common/hash/HashCodeTest.java
@@ -19,7 +19,6 @@ package com.google.common.hash;
 import static com.google.common.io.BaseEncoding.base16;
 
 import com.google.common.base.Charsets;
-import com.google.common.collect.ImmutableList;
 import com.google.common.io.BaseEncoding;
 import com.google.common.testing.ClassSanityTester;
 import java.util.Arrays;
diff --git a/guava-tests/test/com/google/common/hash/HashTestUtils.java b/guava-tests/test/com/google/common/hash/HashTestUtils.java
index 9e9944b..ab3fa25 100644
--- a/guava-tests/test/com/google/common/hash/HashTestUtils.java
+++ b/guava-tests/test/com/google/common/hash/HashTestUtils.java
@@ -20,7 +20,6 @@ import static org.junit.Assert.assertEquals;
 import static org.junit.Assert.assertFalse;
 
 import com.google.common.base.Charsets;
-import com.google.common.collect.ImmutableSet;
 import com.google.common.collect.Sets;
 import com.google.common.primitives.Ints;
 import com.google.common.testing.EqualsTester;
diff --git a/guava-tests/test/com/google/common/hash/HashingTest.java b/guava-tests/test/com/google/common/hash/HashingTest.java
index bc3db34..05900fa 100644
--- a/guava-tests/test/com/google/common/hash/HashingTest.java
+++ b/guava-tests/test/com/google/common/hash/HashingTest.java
@@ -19,8 +19,6 @@ package com.google.common.hash;
 import static com.google.common.base.Charsets.UTF_8;
 import static java.util.Arrays.asList;
 
-import com.google.common.collect.ImmutableList;
-import com.google.common.collect.ImmutableTable;
 import com.google.common.collect.Lists;
 import com.google.common.collect.Table.Cell;
 import com.google.common.primitives.Ints;
diff --git a/guava-tests/test/com/google/common/hash/MacHashFunctionTest.java b/guava-tests/test/com/google/common/hash/MacHashFunctionTest.java
index 4dbb424..4fc9aeb 100644
--- a/guava-tests/test/com/google/common/hash/MacHashFunctionTest.java
+++ b/guava-tests/test/com/google/common/hash/MacHashFunctionTest.java
@@ -19,8 +19,6 @@ package com.google.common.hash;
 import static com.google.common.base.Charsets.UTF_8;
 import static com.google.common.io.BaseEncoding.base16;
 
-import com.google.common.collect.ImmutableSet;
-import com.google.common.collect.ImmutableTable;
 import com.google.common.collect.Table;
 import com.google.common.testing.NullPointerTester;
 import java.security.Key;
diff --git a/guava-tests/test/com/google/common/hash/MessageDigestHashFunctionTest.java b/guava-tests/test/com/google/common/hash/MessageDigestHashFunctionTest.java
index 535d455..8d2181b 100644
--- a/guava-tests/test/com/google/common/hash/MessageDigestHashFunctionTest.java
+++ b/guava-tests/test/com/google/common/hash/MessageDigestHashFunctionTest.java
@@ -17,8 +17,6 @@
 package com.google.common.hash;
 
 import com.google.common.base.Charsets;
-import com.google.common.collect.ImmutableMap;
-import com.google.common.collect.ImmutableSet;
 import java.security.MessageDigest;
 import java.security.NoSuchAlgorithmException;
 import java.util.Arrays;
diff --git a/guava-tests/test/com/google/common/hash/SipHashFunctionTest.java b/guava-tests/test/com/google/common/hash/SipHashFunctionTest.java
index ded4447..8fc7a7b 100644
--- a/guava-tests/test/com/google/common/hash/SipHashFunctionTest.java
+++ b/guava-tests/test/com/google/common/hash/SipHashFunctionTest.java
@@ -16,7 +16,6 @@ package com.google.common.hash;
 
 import static com.google.common.base.Charsets.UTF_8;
 
-import com.google.common.collect.ImmutableSet;
 import junit.framework.TestCase;
 
 /**
diff --git a/guava-tests/test/com/google/common/html/HtmlEscapersTest.java b/guava-tests/test/com/google/common/html/HtmlEscapersTest.java
index 776aa4c..9c067f0 100644
--- a/guava-tests/test/com/google/common/html/HtmlEscapersTest.java
+++ b/guava-tests/test/com/google/common/html/HtmlEscapersTest.java
@@ -16,7 +16,6 @@ package com.google.common.html;
 
 import static com.google.common.html.HtmlEscapers.htmlEscaper;
 
-import com.google.common.annotations.GwtCompatible;
 import junit.framework.TestCase;
 
 /**
@@ -24,7 +23,6 @@ import junit.framework.TestCase;
  *
  * @author David Beaumont
  */
-@GwtCompatible
 public class HtmlEscapersTest extends TestCase {
 
   public void testHtmlEscaper() throws Exception {
diff --git a/guava-tests/test/com/google/common/io/AndroidIncompatible.java b/guava-tests/test/com/google/common/io/AndroidIncompatible.java
index b0d80ae..d5270f9 100644
--- a/guava-tests/test/com/google/common/io/AndroidIncompatible.java
+++ b/guava-tests/test/com/google/common/io/AndroidIncompatible.java
@@ -23,7 +23,6 @@ import static java.lang.annotation.ElementType.METHOD;
 import static java.lang.annotation.ElementType.TYPE;
 import static java.lang.annotation.RetentionPolicy.CLASS;
 
-import com.google.common.annotations.GwtCompatible;
 import java.lang.annotation.Retention;
 import java.lang.annotation.Target;
 
@@ -37,5 +36,4 @@ import java.lang.annotation.Target;
  */
 @Retention(CLASS)
 @Target({ANNOTATION_TYPE, CONSTRUCTOR, FIELD, METHOD, TYPE})
-@GwtCompatible
 @interface AndroidIncompatible {}
diff --git a/guava-tests/test/com/google/common/io/BaseEncodingTest.java b/guava-tests/test/com/google/common/io/BaseEncodingTest.java
index 06659ab..c8df602 100644
--- a/guava-tests/test/com/google/common/io/BaseEncodingTest.java
+++ b/guava-tests/test/com/google/common/io/BaseEncodingTest.java
@@ -22,12 +22,9 @@ import static com.google.common.io.BaseEncoding.base64;
 import static com.google.common.io.BaseEncoding.base64Url;
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Ascii;
 import com.google.common.base.Joiner;
 import com.google.common.base.Splitter;
-import com.google.common.collect.ImmutableList;
 import com.google.common.io.BaseEncoding.DecodingException;
 import java.io.IOException;
 import java.io.InputStream;
@@ -36,14 +33,12 @@ import java.io.Reader;
 import java.io.StringReader;
 import java.io.StringWriter;
 import junit.framework.TestCase;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * Tests for {@code BaseEncoding}.
  *
  * @author Louis Wasserman
  */
-@GwtCompatible(emulated = true)
 public class BaseEncodingTest extends TestCase {
 
   public void testSeparatorsExplicitly() {
@@ -86,7 +81,7 @@ public class BaseEncodingTest extends TestCase {
     testEncodingWithSeparators(base64(), "foobar", "Zm9vYmFy");
   }
 
-  @GwtIncompatible // Reader/Writer
+  // Reader/Writer
   public void testBase64Streaming() throws IOException {
     // The following test vectors are specified in RFC 4648 itself
     testStreamingEncodingWithSeparators(base64(), "", "");
@@ -149,7 +144,7 @@ public class BaseEncodingTest extends TestCase {
     testEncodingWithSeparators(enc, "foobar", "Zm9vYmFy");
   }
 
-  @GwtIncompatible // Reader/Writer
+  // Reader/Writer
   public void testBase64StreamingAlternatePadding() throws IOException {
     BaseEncoding enc = base64().withPadChar('~');
     testStreamingEncodingWithSeparators(enc, "", "");
@@ -172,7 +167,7 @@ public class BaseEncodingTest extends TestCase {
     testEncodingWithSeparators(enc, "foobar", "Zm9vYmFy");
   }
 
-  @GwtIncompatible // Reader/Writer
+  // Reader/Writer
   public void testBase64StreamingOmitPadding() throws IOException {
     BaseEncoding enc = base64().omitPadding();
     testStreamingEncodingWithSeparators(enc, "", "");
@@ -213,7 +208,7 @@ public class BaseEncodingTest extends TestCase {
     testEncodingWithCasing(base32(), "foobar", "MZXW6YTBOI======");
   }
 
-  @GwtIncompatible // Reader/Writer
+  // Reader/Writer
   public void testBase32Streaming() throws IOException {
     // The following test vectors are specified in RFC 4648 itself
     testStreamingEncodingWithCasing(base32(), "", "");
@@ -284,7 +279,7 @@ public class BaseEncodingTest extends TestCase {
     testEncodingWithCasing(base32Hex(), "foobar", "CPNMUOJ1E8======");
   }
 
-  @GwtIncompatible // Reader/Writer
+  // Reader/Writer
   public void testBase32HexStreaming() throws IOException {
     // The following test vectors are specified in RFC 4648 itself
     testStreamingEncodingWithCasing(base32Hex(), "", "");
@@ -415,7 +410,7 @@ public class BaseEncodingTest extends TestCase {
   }
 
   enum AssertFailsToDecodeStrategy {
-    @GwtIncompatible // decodingStream(Reader)
+    // decodingStream(Reader)
     DECODING_STREAM {
       @Override
       void assertFailsToDecode(
@@ -477,7 +472,7 @@ public class BaseEncodingTest extends TestCase {
         BaseEncoding encoding, String cannotDecode, @Nullable String expectedMessage);
   }
 
-  @GwtIncompatible // Reader/Writer
+  // Reader/Writer
   private static void testStreamingEncodingWithCasing(
       BaseEncoding encoding, String decoded, String encoded) throws IOException {
     testStreamingEncodingWithSeparators(encoding, decoded, encoded);
@@ -485,7 +480,7 @@ public class BaseEncodingTest extends TestCase {
     testStreamingEncodingWithSeparators(encoding.lowerCase(), decoded, Ascii.toLowerCase(encoded));
   }
 
-  @GwtIncompatible // Reader/Writer
+  // Reader/Writer
   private static void testStreamingEncodingWithSeparators(
       BaseEncoding encoding, String decoded, String encoded) throws IOException {
     testStreamingEncoding(encoding, decoded, encoded);
@@ -501,14 +496,14 @@ public class BaseEncodingTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // Reader/Writer
+  // Reader/Writer
   private static void testStreamingEncoding(BaseEncoding encoding, String decoded, String encoded)
       throws IOException {
     testStreamingEncodes(encoding, decoded, encoded);
     testStreamingDecodes(encoding, encoded, decoded);
   }
 
-  @GwtIncompatible // Writer
+  // Writer
   private static void testStreamingEncodes(BaseEncoding encoding, String decoded, String encoded)
       throws IOException {
     StringWriter writer = new StringWriter();
@@ -518,7 +513,7 @@ public class BaseEncodingTest extends TestCase {
     assertThat(writer.toString()).isEqualTo(encoded);
   }
 
-  @GwtIncompatible // Reader
+  // Reader
   private static void testStreamingDecodes(BaseEncoding encoding, String encoded, String decoded)
       throws IOException {
     byte[] bytes = decoded.getBytes(UTF_8);
diff --git a/guava-tests/test/com/google/common/io/ByteSinkTester.java b/guava-tests/test/com/google/common/io/ByteSinkTester.java
index a8ed36f..0c7b8c6 100644
--- a/guava-tests/test/com/google/common/io/ByteSinkTester.java
+++ b/guava-tests/test/com/google/common/io/ByteSinkTester.java
@@ -21,7 +21,6 @@ import static com.google.common.io.SourceSinkFactory.CharSinkFactory;
 import static org.junit.Assert.assertArrayEquals;
 
 import com.google.common.base.Charsets;
-import com.google.common.collect.ImmutableList;
 import java.io.ByteArrayInputStream;
 import java.io.IOException;
 import java.io.OutputStream;
diff --git a/guava-tests/test/com/google/common/io/ByteSourceTest.java b/guava-tests/test/com/google/common/io/ByteSourceTest.java
index 3cf6cca..db80966 100644
--- a/guava-tests/test/com/google/common/io/ByteSourceTest.java
+++ b/guava-tests/test/com/google/common/io/ByteSourceTest.java
@@ -26,8 +26,6 @@ import static com.google.common.io.TestOption.WRITE_THROWS;
 import static org.junit.Assert.assertArrayEquals;
 
 import com.google.common.base.Charsets;
-import com.google.common.collect.ImmutableList;
-import com.google.common.collect.ImmutableSet;
 import com.google.common.collect.Iterables;
 import com.google.common.hash.Hashing;
 import com.google.common.io.Closer.LoggingSuppressor;
diff --git a/guava-tests/test/com/google/common/io/ByteSourceTester.java b/guava-tests/test/com/google/common/io/ByteSourceTester.java
index 7585412..207419b 100644
--- a/guava-tests/test/com/google/common/io/ByteSourceTester.java
+++ b/guava-tests/test/com/google/common/io/ByteSourceTester.java
@@ -22,7 +22,6 @@ import static org.junit.Assert.assertArrayEquals;
 
 import com.google.common.base.Charsets;
 import com.google.common.base.Optional;
-import com.google.common.collect.ImmutableList;
 import com.google.common.hash.HashCode;
 import com.google.common.hash.Hashing;
 import java.io.ByteArrayInputStream;
diff --git a/guava-tests/test/com/google/common/io/CharSinkTest.java b/guava-tests/test/com/google/common/io/CharSinkTest.java
index e51b43c..42f6e6f 100644
--- a/guava-tests/test/com/google/common/io/CharSinkTest.java
+++ b/guava-tests/test/com/google/common/io/CharSinkTest.java
@@ -21,7 +21,6 @@ import static com.google.common.io.TestOption.OPEN_THROWS;
 import static com.google.common.io.TestOption.READ_THROWS;
 import static com.google.common.io.TestOption.WRITE_THROWS;
 
-import com.google.common.collect.ImmutableList;
 import java.io.IOException;
 import java.io.StringReader;
 import java.io.Writer;
diff --git a/guava-tests/test/com/google/common/io/CharSinkTester.java b/guava-tests/test/com/google/common/io/CharSinkTester.java
index d3e7a90..62b6b3e 100644
--- a/guava-tests/test/com/google/common/io/CharSinkTester.java
+++ b/guava-tests/test/com/google/common/io/CharSinkTester.java
@@ -17,7 +17,6 @@
 package com.google.common.io;
 
 import com.google.common.base.Joiner;
-import com.google.common.collect.ImmutableList;
 import com.google.common.io.SourceSinkFactory.CharSinkFactory;
 import java.io.IOException;
 import java.io.Writer;
diff --git a/guava-tests/test/com/google/common/io/CharSourceTest.java b/guava-tests/test/com/google/common/io/CharSourceTest.java
index 787d744..22df27c 100644
--- a/guava-tests/test/com/google/common/io/CharSourceTest.java
+++ b/guava-tests/test/com/google/common/io/CharSourceTest.java
@@ -16,14 +16,11 @@
 
 package com.google.common.io;
 
-import static com.google.common.collect.ImmutableList.toImmutableList;
 import static com.google.common.io.TestOption.CLOSE_THROWS;
 import static com.google.common.io.TestOption.OPEN_THROWS;
 import static com.google.common.io.TestOption.READ_THROWS;
 import static com.google.common.io.TestOption.WRITE_THROWS;
 
-import com.google.common.collect.ImmutableList;
-import com.google.common.collect.ImmutableSet;
 import com.google.common.collect.Iterables;
 import com.google.common.collect.Lists;
 import com.google.common.io.Closer.LoggingSuppressor;
diff --git a/guava-tests/test/com/google/common/io/CharSourceTester.java b/guava-tests/test/com/google/common/io/CharSourceTester.java
index 2a10de0..6e89385 100644
--- a/guava-tests/test/com/google/common/io/CharSourceTester.java
+++ b/guava-tests/test/com/google/common/io/CharSourceTester.java
@@ -16,11 +16,9 @@
 
 package com.google.common.io;
 
-import static com.google.common.collect.ImmutableList.toImmutableList;
 
 import com.google.common.base.Charsets;
 import com.google.common.base.Optional;
-import com.google.common.collect.ImmutableList;
 import com.google.common.collect.Lists;
 import com.google.common.io.SourceSinkFactory.ByteSourceFactory;
 import com.google.common.io.SourceSinkFactory.CharSourceFactory;
diff --git a/guava-tests/test/com/google/common/io/CharStreamsTest.java b/guava-tests/test/com/google/common/io/CharStreamsTest.java
index 9b2c24e..44979c5 100644
--- a/guava-tests/test/com/google/common/io/CharStreamsTest.java
+++ b/guava-tests/test/com/google/common/io/CharStreamsTest.java
@@ -17,7 +17,6 @@
 package com.google.common.io;
 
 import com.google.common.base.Strings;
-import com.google.common.collect.ImmutableList;
 import java.io.EOFException;
 import java.io.FilterReader;
 import java.io.IOException;
diff --git a/guava-tests/test/com/google/common/io/CloserTest.java b/guava-tests/test/com/google/common/io/CloserTest.java
index 3876174..75da875 100644
--- a/guava-tests/test/com/google/common/io/CloserTest.java
+++ b/guava-tests/test/com/google/common/io/CloserTest.java
@@ -21,8 +21,6 @@ import static com.google.common.truth.Truth.assertThat;
 import com.google.common.base.MoreObjects;
 import com.google.common.base.Objects;
 import com.google.common.base.Throwables;
-import com.google.common.collect.ImmutableList;
-import com.google.common.collect.ImmutableSet;
 import com.google.common.collect.Lists;
 import com.google.common.io.Closer.LoggingSuppressor;
 import com.google.common.testing.TestLogHandler;
@@ -32,7 +30,6 @@ import java.lang.reflect.Method;
 import java.util.List;
 import java.util.logging.LogRecord;
 import junit.framework.TestCase;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * Tests for {@link Closer}.
diff --git a/guava-tests/test/com/google/common/io/FilesFileTraverserTest.java b/guava-tests/test/com/google/common/io/FilesFileTraverserTest.java
index c132406..39cf41c 100644
--- a/guava-tests/test/com/google/common/io/FilesFileTraverserTest.java
+++ b/guava-tests/test/com/google/common/io/FilesFileTraverserTest.java
@@ -19,7 +19,6 @@ package com.google.common.io;
 import static com.google.common.truth.Truth.assertThat;
 
 import com.google.common.collect.Iterables;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.io.File;
 import java.io.IOException;
 import java.nio.file.FileVisitResult;
@@ -126,14 +125,12 @@ public class FilesFileTraverserTest extends TestCase {
         .containsExactly(rootDir, fileA, fileB, dir1, dir2);
   }
 
-  @CanIgnoreReturnValue
   private File newDir(String name) {
     File file = new File(rootDir, name);
     file.mkdir();
     return file;
   }
 
-  @CanIgnoreReturnValue
   private File newFile(String name) throws IOException {
     File file = new File(rootDir, name);
     file.createNewFile();
diff --git a/guava-tests/test/com/google/common/io/FilesTest.java b/guava-tests/test/com/google/common/io/FilesTest.java
index 8446da1..c269f0e 100644
--- a/guava-tests/test/com/google/common/io/FilesTest.java
+++ b/guava-tests/test/com/google/common/io/FilesTest.java
@@ -19,7 +19,6 @@ package com.google.common.io;
 import static com.google.common.truth.Truth.assertThat;
 
 import com.google.common.base.Charsets;
-import com.google.common.collect.ImmutableList;
 import com.google.common.hash.Hashing;
 import com.google.common.primitives.Bytes;
 import java.io.BufferedReader;
diff --git a/guava-tests/test/com/google/common/io/IoTestCase.java b/guava-tests/test/com/google/common/io/IoTestCase.java
index fa89619..89dc072 100644
--- a/guava-tests/test/com/google/common/io/IoTestCase.java
+++ b/guava-tests/test/com/google/common/io/IoTestCase.java
@@ -17,7 +17,6 @@
 package com.google.common.io;
 
 import com.google.common.collect.Sets;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.io.File;
 import java.io.FileOutputStream;
 import java.io.IOException;
@@ -170,7 +169,6 @@ public abstract class IoTestCase extends TestCase {
     }
   }
 
-  @CanIgnoreReturnValue
   private boolean delete(File file) {
     if (file.isDirectory()) {
       File[] files = file.listFiles();
diff --git a/guava-tests/test/com/google/common/io/MoreFilesFileTraverserTest.java b/guava-tests/test/com/google/common/io/MoreFilesFileTraverserTest.java
index 8b26b49..25031f8 100644
--- a/guava-tests/test/com/google/common/io/MoreFilesFileTraverserTest.java
+++ b/guava-tests/test/com/google/common/io/MoreFilesFileTraverserTest.java
@@ -21,7 +21,6 @@ import static com.google.common.truth.Truth.assertThat;
 import com.google.common.collect.Iterables;
 import com.google.common.jimfs.Configuration;
 import com.google.common.jimfs.Jimfs;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.io.IOException;
 import java.nio.file.Files;
 import java.nio.file.Path;
@@ -107,14 +106,12 @@ public class MoreFilesFileTraverserTest extends TestCase {
         .containsExactly(rootDir, fileA, fileB, dir1, dir2);
   }
 
-  @CanIgnoreReturnValue
   private Path newDir(String name) throws IOException {
     Path dir = rootDir.resolve(name);
     Files.createDirectory(dir);
     return dir;
   }
 
-  @CanIgnoreReturnValue
   private Path newFile(String name) throws IOException {
     Path file = rootDir.resolve(name);
     MoreFiles.touch(file);
diff --git a/guava-tests/test/com/google/common/io/MultiReaderTest.java b/guava-tests/test/com/google/common/io/MultiReaderTest.java
index 20b4042..8c550ec 100644
--- a/guava-tests/test/com/google/common/io/MultiReaderTest.java
+++ b/guava-tests/test/com/google/common/io/MultiReaderTest.java
@@ -16,7 +16,6 @@
 
 package com.google.common.io;
 
-import com.google.common.collect.ImmutableList;
 import java.io.FilterReader;
 import java.io.IOException;
 import java.io.Reader;
diff --git a/guava-tests/test/com/google/common/io/ResourcesTest.java b/guava-tests/test/com/google/common/io/ResourcesTest.java
index af2abbb..bb7df92 100644
--- a/guava-tests/test/com/google/common/io/ResourcesTest.java
+++ b/guava-tests/test/com/google/common/io/ResourcesTest.java
@@ -20,7 +20,6 @@ import static com.google.common.base.CharMatcher.whitespace;
 import static com.google.common.truth.Truth.assertThat;
 
 import com.google.common.base.Charsets;
-import com.google.common.collect.ImmutableList;
 import com.google.common.testing.NullPointerTester;
 import java.io.ByteArrayInputStream;
 import java.io.ByteArrayOutputStream;
diff --git a/guava-tests/test/com/google/common/io/SourceSinkFactories.java b/guava-tests/test/com/google/common/io/SourceSinkFactories.java
index d24622d..1c599c4 100644
--- a/guava-tests/test/com/google/common/io/SourceSinkFactories.java
+++ b/guava-tests/test/com/google/common/io/SourceSinkFactories.java
@@ -40,7 +40,6 @@ import java.nio.file.StandardOpenOption;
 import java.util.Arrays;
 import java.util.logging.Level;
 import java.util.logging.Logger;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * {@link SourceSinkFactory} implementations.
diff --git a/guava-tests/test/com/google/common/io/SourceSinkTester.java b/guava-tests/test/com/google/common/io/SourceSinkTester.java
index 9b07355..ec2fe74 100644
--- a/guava-tests/test/com/google/common/io/SourceSinkTester.java
+++ b/guava-tests/test/com/google/common/io/SourceSinkTester.java
@@ -18,8 +18,6 @@ package com.google.common.io;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.collect.ImmutableList;
-import com.google.common.collect.ImmutableMap;
 import com.google.common.collect.Lists;
 import java.io.IOException;
 import java.io.Reader;
diff --git a/guava-tests/test/com/google/common/io/TestByteSink.java b/guava-tests/test/com/google/common/io/TestByteSink.java
index b7eeef0..d6c025a 100644
--- a/guava-tests/test/com/google/common/io/TestByteSink.java
+++ b/guava-tests/test/com/google/common/io/TestByteSink.java
@@ -16,7 +16,6 @@
 
 package com.google.common.io;
 
-import com.google.common.collect.ImmutableSet;
 import java.io.ByteArrayOutputStream;
 import java.io.IOException;
 import java.io.OutputStream;
diff --git a/guava-tests/test/com/google/common/io/TestByteSource.java b/guava-tests/test/com/google/common/io/TestByteSource.java
index 54ee982..0ac483c 100644
--- a/guava-tests/test/com/google/common/io/TestByteSource.java
+++ b/guava-tests/test/com/google/common/io/TestByteSource.java
@@ -18,7 +18,6 @@ package com.google.common.io;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.collect.ImmutableSet;
 import java.io.ByteArrayInputStream;
 import java.io.IOException;
 import java.io.InputStream;
diff --git a/guava-tests/test/com/google/common/io/TestInputStream.java b/guava-tests/test/com/google/common/io/TestInputStream.java
index c885cf7..09fbdf3 100644
--- a/guava-tests/test/com/google/common/io/TestInputStream.java
+++ b/guava-tests/test/com/google/common/io/TestInputStream.java
@@ -22,7 +22,6 @@ import static com.google.common.io.TestOption.OPEN_THROWS;
 import static com.google.common.io.TestOption.READ_THROWS;
 import static com.google.common.io.TestOption.SKIP_THROWS;
 
-import com.google.common.collect.ImmutableSet;
 import java.io.FilterInputStream;
 import java.io.IOException;
 import java.io.InputStream;
diff --git a/guava-tests/test/com/google/common/io/TestOutputStream.java b/guava-tests/test/com/google/common/io/TestOutputStream.java
index 1a40b83..3a923f7 100644
--- a/guava-tests/test/com/google/common/io/TestOutputStream.java
+++ b/guava-tests/test/com/google/common/io/TestOutputStream.java
@@ -21,7 +21,6 @@ import static com.google.common.io.TestOption.CLOSE_THROWS;
 import static com.google.common.io.TestOption.OPEN_THROWS;
 import static com.google.common.io.TestOption.WRITE_THROWS;
 
-import com.google.common.collect.ImmutableSet;
 import java.io.FilterOutputStream;
 import java.io.IOException;
 import java.io.OutputStream;
diff --git a/guava-tests/test/com/google/common/math/AndroidIncompatible.java b/guava-tests/test/com/google/common/math/AndroidIncompatible.java
index b9d81c0..6d65888 100644
--- a/guava-tests/test/com/google/common/math/AndroidIncompatible.java
+++ b/guava-tests/test/com/google/common/math/AndroidIncompatible.java
@@ -23,7 +23,6 @@ import static java.lang.annotation.ElementType.METHOD;
 import static java.lang.annotation.ElementType.TYPE;
 import static java.lang.annotation.RetentionPolicy.CLASS;
 
-import com.google.common.annotations.GwtCompatible;
 import java.lang.annotation.Retention;
 import java.lang.annotation.Target;
 
@@ -37,5 +36,4 @@ import java.lang.annotation.Target;
  */
 @Retention(CLASS)
 @Target({ANNOTATION_TYPE, CONSTRUCTOR, FIELD, METHOD, TYPE})
-@GwtCompatible
 @interface AndroidIncompatible {}
diff --git a/guava-tests/test/com/google/common/math/BigDecimalMathTest.java b/guava-tests/test/com/google/common/math/BigDecimalMathTest.java
index ff86fd5..891f7a0 100644
--- a/guava-tests/test/com/google/common/math/BigDecimalMathTest.java
+++ b/guava-tests/test/com/google/common/math/BigDecimalMathTest.java
@@ -26,7 +26,6 @@ import static java.math.RoundingMode.UNNECESSARY;
 import static java.math.RoundingMode.UP;
 import static java.math.RoundingMode.values;
 
-import com.google.common.annotations.GwtIncompatible;
 import java.math.BigDecimal;
 import java.math.MathContext;
 import java.math.RoundingMode;
@@ -35,7 +34,6 @@ import java.util.EnumSet;
 import java.util.Map;
 import junit.framework.TestCase;
 
-@GwtIncompatible
 public class BigDecimalMathTest extends TestCase {
   private static final class RoundToDoubleTester {
     private final BigDecimal input;
